org.eclipse.rdf4j.model.impl

## Class SimpleValueFactory

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.AbstractValueFactory
  - - org.eclipse.rdf4j.model.impl.SimpleValueFactory

- All Implemented Interfaces:
    ValueFactory
  Direct Known Subclasses:
    ValueFactoryImpl

      public class SimpleValueFactory
      extends AbstractValueFactory

  Default implementation of the `ValueFactory` interface.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleValueFactory()` Hidden constructor to enforce singleton pattern.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleValueFactory` | `getInstance()` Provide a single shared instance of a SimpleValueFactory.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.AbstractValueFactory

      `createBNode, createBNode, createFPLiteral, createFPLiteral, createIntegerLiteral, createIntegerLiteral, createIRI, createIRI, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createNumericLiteral, createNumericLiteral, createStatement, createStatement, createTriple, initBNodeParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.ValueFactory

      `createLiteral, createStatement, createStatement, createURI, createURI`

- - ### Constructor Detail

    - #### SimpleValueFactory

          protected SimpleValueFactory()

      Hidden constructor to enforce singleton pattern.

  - ### Method Detail

    - #### getInstance

          public static SimpleValueFactory getInstance()

      Provide a single shared instance of a SimpleValueFactory.
      Returns:
        a singleton instance of SimpleValueFactory.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.